# ByteArrayOutputStream Class Reference

Inherits OutputStream.

List of all members.

## Detailed Description

OutputStream implemented on top of std::vector.

## Public Member Functions

| ByteArrayOutputStream ()
virtual | ~ByteArrayOutputStream ()
virtual void | close (Pool &p)
virtual void | flush (Pool &p)
virtual void | write (ByteBuffer &buf, Pool &p)
ByteList | toByteArray () const

## Constructor & Destructor Documentation

ByteArrayOutputStream | ( |  | ) |

virtual ~ByteArrayOutputStream | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual void close | ( | Pool & | p | ) | `[virtual]`

| Implements OutputStream.

virtual void flush | ( | Pool & | p | ) | `[virtual]`

| Implements OutputStream.

ByteList toByteArray | ( |  | ) | const

virtual void write | ( | ByteBuffer & | buf,
|  | Pool & | p
| ) | `[virtual]`

| Implements OutputStream.

The documentation for this class was generated from the following file:

- bytearrayoutputstream.h